## php8.2 8.2.0

=== debian/changelog ===
php8.2 (8.2.0-1) experimental; urgency=medium

  * Update d/watch for PHP 8.2.0
  * New upstream version 8.2.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Dec 2022 14:09:11 +0100

php8.2 (8.2.0~rc7-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc7

 -- Ondřej Surý <ondrej@debian.org>  Sat, 26 Nov 2022 15:11:52 +0100

php8.2 (8.2.0~rc5-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc5
   + CVE-2022-31630: OOB read due to insufficient input validation in
     imageloadfont()
   + CVE-2022-37454: buffer overflow in hash_update() on long parameter

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Oct 2022 19:55:40 +0200

php8.2 (8.2.0~rc4-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 12:09:06 +0200

php8.2 (8.2.0~rc3-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc3
   + CVE-2022-31628: phar wrapper: DOS when using quine gzip file.
   + CVE-2022-31629: Don't mangle HTTP variable names that clash with
     ones that have a specific semantic meaning.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 12:08:58 +0200

php8.2 (8.2.0~rc1-2) experimental; urgency=medium

  * Use media-types instead of mime-support (Closes: #1010155)
  * Make the build (mostly) reproducible (Closes: #1001648)
  * Export SED := /bin/sed in d/rules (Closes: #1015188)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Sep 2022 12:02:59 +0200

php8.2 (8.2.0~rc1-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc1
  * Bump d/phpapi to 20220829

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Sep 2022 12:20:18 +0200

php8.2 (8.2.0~beta2-1) experimental; urgency=medium

  [ Simon Deziel ]
  * debian: use non-capturing group with FilesMatch
  * Add a brief comment explaning non-capturing group regexes

  [ Ondřej Surý ]
  * New upstream version 8.2.0~beta2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2022 11:37:56 +0200

php8.2 (8.2.0~alpha3-1) experimental; urgency=medium

  * d/watch: Switch upstream location, add alpha/beta/rc version mangling
  * Add Sergey Panteleev signing key
  * New upstream version 8.2.0~alpha3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Jul 2022 18:18:07 +0200

php8.2 (8.2.0~alpha2-1) experimental; urgency=medium

  * New upstream version 8.2.0~alpha2
  * Refresh patches for PHP 8.2
  * Update phpapi for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Jul 2022 16:06:45 +0200

php8.1 (8.1.7-2) unstable; urgency=medium

  * Add Provides: php-json to PHP SAPIS

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jun 2022 09:57:04 +0200

php8.1 (8.1.7-1) unstable; urgency=medium

  * New upstream version 8.1.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2022 14:16:47 +0200

php8.1 (8.1.6-1) unstable; urgency=medium

  * New upstream version 8.1.6

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 May 2022 18:42:21 +0200

php8.1 (8.1.5-1) unstable; urgency=medium

  * New upstream version 8.1.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 11:51:30 +0200

php8.1 (8.1.4-1) unstable; urgency=medium

  * New upstream version 8.1.4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Mar 2022 17:43:51 +0100

php8.1 (8.1.3-1) unstable; urgency=medium

  * New upstream version 8.1.3
   + CVE-2021-21708: Fix use-after-free due to php_filter_float() failing
     for ints (Closes: #1006672)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Feb 2022 15:47:42 +0100

php8.1 (8.1.2-1) unstable; urgency=medium

  * New upstream version 8.1.2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jan 2022 11:36:08 +0100

php8.1 (8.1.1-4) unstable; urgency=medium

  * Override result of AC_PROG_LN_S to fix FTBFS on ppc64el

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 15:34:56 +0100

php8.1 (8.1.1-3) unstable; urgency=medium

  * Fail the build when the dtrace call fails (Closes: #1000784)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 10:25:19 +0100

php8.1 (8.1.1-2) unstable; urgency=medium

  * Lower the OpenSSL requirement to 1.0.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 08:25:33 +0100

php8.1 (8.1.1-1) unstable; urgency=medium

  * New upstream version 8.1.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Dec 2021 22:13:08 +0100

php8.1 (8.1.0-1) unstable; urgency=medium

  * Update d/watch for final PHP 8.1
  * New upstream version 8.1.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Nov 2021 20:57:29 +0100

php8.1 (8.1.0~rc6-3) unstable; urgency=medium

  * Backported from 7.3.33
   - XML:
    . Fix #79971: special character is breaking the path in xml function.
      (CVE-2021-21707)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Nov 2021 07:45:31 +0100

php8.1 (8.1.0~rc6-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable AppArmor (--with-fpm-apparmor) only on Linux archs
    (Closes: #999495)
  * Fix Vcs-* fields

 -- Ondřej Surý <ondrej@debian.org>  Sat, 13 Nov 2021 12:54:26 +0100

php8.1 (8.1.0~rc6-1) unstable; urgency=medium

  * Update d/watch for updated location
  * New upstream version 8.1.0~rc6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Nov 2021 20:50:27 +0100

php8.1 (8.1.0~rc5-2) unstable; urgency=medium

  * d/rules: Fix FTBFS on armhf.  Use -mfpu=vfpv3-d16 in CFLAGS
    (Pulled from Ubuntu.)
  * Revert "Disable Zend fiber asm on armhf (FTBFS)"

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:05:30 +0100

php8.1 (8.1.0~rc5-1) unstable; urgency=medium

  * New upstream version 8.1.0~rc5
  * Disable Zend fiber asm on armhf (FTBFS)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Nov 2021 15:57:08 +0100

php8.1 (8.1.0~rc4-1+u1) unstable; urgency=low

  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Oct 2021 13:35:13 +0200

php8.1 (8.1.0~rc4-1) experimental; urgency=medium

  * New upstream version 8.1.0~rc4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Oct 2021 18:09:23 +0200

php8.1 (8.1.0~rc2-1) experimental; urgency=medium

  * New upstream version 8.1.0~rc2


