## php8.2 8.2.5

=== debian/changelog ===
php8.2 (8.2.5-2) unstable; urgency=medium

  * Hard code sed path to /bin/sed (Closes: #1034423)
  * Remove timestamps from phar (Closes: #1034892)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Apr 2023 10:13:47 +0200

php8.2 (8.2.5-1) unstable; urgency=medium

  * New upstream version 8.2.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Apr 2023 06:07:56 +0200

php8.2 (8.2.4-1) unstable; urgency=medium

  * New upstream version 8.2.4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Mar 2023 15:24:40 +0100

php8.2 (8.2.3-1) unstable; urgency=medium

  * New upstream version 8.2.3 (Closes: #1031368)
   + CVE-2023-0567: Fixed bug #81744 (Password_verify() always return true
     with some hash).
   + CVE-2023-0568: Fixed bug #81746 (1-byte array overrun in common path
     resolve code).
   + CVE-2023-0662: Fixed bug GHSA-54hq-v5wp-fqgv (DOS vulnerability when
     parsing multipart request body).

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Feb 2023 17:51:54 +0100

php8.2 (8.2.2-3) unstable; urgency=medium

  * Disable OPcache JIT by default (fixup)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 12:27:52 +0100

php8.2 (8.2.2-2) unstable; urgency=medium

  * Disable OPcache JIT by default (can be re-enabled at runtime)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 11:54:06 +0100

php8.2 (8.2.2-1) unstable; urgency=medium

  * New upstream version 8.2.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Feb 2023 10:34:17 +0100

php8.2 (8.2.1-2) unstable; urgency=medium

  * Fix GH-10187: Segfault in stripslashes() with arm64

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jan 2023 11:35:02 +0100

php8.2 (8.2.1-1) unstable; urgency=medium

  * New upstream version 8.2.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Jan 2023 16:12:40 +0100

php8.2 (8.2.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Thu, 05 Jan 2023 13:39:04 +0100

php8.2 (8.2.0-3) experimental; urgency=medium

  * Revert "Disable xxHash vectorization on ppc64el"
  * Pull xxHash ppc64el fix from xxHash upstream

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Dec 2022 11:52:05 +0100

php8.2 (8.2.0-2) experimental; urgency=medium

  * Disable xxHash vectorization on ppc64el

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Dec 2022 11:40:36 +0100
