## php8.2 8.2.7

=== debian/changelog ===
php8.2 (8.2.7-1~deb12u1+rpi1) bookworm-staging; urgency=medium

  * Fix fpu setting for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 20 Jul 2023 18:02:54 +0000

php8.2 (8.2.7-1~deb12u1) bookworm-security; urgency=high

  * No change upload to bookworm-security

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Jun 2023 21:37:27 +0200

php8.2 (8.2.7-1) unstable; urgency=medium

  * New upstream version 8.2.7
   + Fixed GHSA-76gg-c692-v2mw: Missing error check and insufficient
     random bytes in HTTP Digest authentication for SOAP.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Jun 2023 08:51:32 +0200

php8.2 (8.2.6-1) unstable; urgency=medium

  * New upstream version 8.2.6

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 May 2023 08:08:36 +0200
