## php8.2 8.2.10

=== debian/changelog ===
php8.2 (8.2.10-2ubuntu2.2) mantic-security; urgency=medium

  * SECURITY UPDATE: Invalid user information
    - debian/patches/CVE-2024-5458.patch: improves filters validation
      in ext/filter/logical_filters.c and adds test
      in ext/filter/tests/ghsa-w8qr-v226-r27w.phpt.
    - CVE-2024-5458

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 13 Jun 2024 13:03:15 -0300

php8.2 (8.2.10-2ubuntu2.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Cookie by pass
    - debian/patches/CVE-2024-2756.patch: adds more mangling rules
      in main/php_variable.c.
    - CVE-2024-2756
  * SECURITY UPDATE: Account take over risk
    - debian/patches/CVE-2024-3096.patch: disallow null character in bcrypt
      password in ext/standard/password.c,
      ext/standard/tests/password_bcrypt_errors.phpt.
    - CVE-2024-3096

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 01 May 2024 07:15:40 -0300

php8.2 (8.2.10-2ubuntu2) mantic; urgency=medium

  * d/p/0048-Fix-segfault-in-fpm_status_export_to_zval.patch: fix segmentation
    fault in fpm_status_export_to_zval. (LP: #2057576)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 26 Mar 2024 11:21:53 -0300

php8.2 (8.2.10-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: fix PHP_EXTRA_VERSION setting. (LP #1989196)
    - Test PHP_EXTRA_VERSION setting with autopkgtest.
    - d/rules: Disable garbage collection routine in ini files.
      (LP #1772915, Closes: #831752)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Sep 2023 16:37:47 +0200

php8.2 (8.2.10-2) unstable; urgency=medium

  * Add systemtap-sdt-dev on all architectures (Closes: #1051246)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Sep 2023 07:43:15 +0200

php8.2 (8.2.10-1ubuntu2) mantic; urgency=medium

  * Also enable systemtap-sdt-dev in control file, not just
    in control.in (this fixes build on s390x and others)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 23:35:51 +0200

php8.2 (8.2.10-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: fix PHP_EXTRA_VERSION setting. (LP #1989196)
    - Test PHP_EXTRA_VERSION setting with autopkgtest.
    - d/rules: Disable garbage collection routine in ini files.
      (LP #1772915, Closes: #831752)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 23:26:52 +0200

php8.2 (8.2.10-1) unstable; urgency=medium

  * New upstream version 8.2.10
  * Enable DTrace on all architectures

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Sep 2023 08:31:05 +0200

php8.2 (8.2.9-2) unstable; urgency=medium

  * Pull upstream patch to revert behaviour of receiving SIGCHLD signals
    back to the behaviour before 8.1.22. (GH#2007)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Aug 2023 12:28:29 +0200

php8.2 (8.2.9-1) unstable; urgency=medium

  * New upstream version 8.2.9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Aug 2023 21:39:43 +0200

php8.2 (8.2.8-1) unstable; urgency=medium

  * New upstream version 8.2.8

 -- Ondřej Surý <ondrej@debian.org>  Sat, 08 Jul 2023 08:49:00 +0200

php8.2 (8.2.7-1ubuntu2) mantic; urgency=medium

  * Drop riscv64 build fix, atomic is now native on gcc-13
  * Add changes from php8.1 (Athos Ribeiro <athos.ribeiro@canonical.com>)
    - d/rules: fix PHP_EXTRA_VERSION setting. (LP #1989196)
    - Test PHP_EXTRA_VERSION setting with autopkgtest.
    - d/rules: Disable garbage collection routine in ini files.
      (LP #1772915, Closes: #831752)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 10:49:25 +0200

php8.2 (8.2.7-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
     - Cherry-pick patch from Debian bug: #1025446) to fix riscv64 build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Jun 2023 12:11:26 +0200

php8.2 (8.2.5-2ubuntu1) mantic; urgency=medium

  [ Gianfranco Costamagna ]
  * Cherry-pick patch from Debian bug: #1025446) to fix riscv64 build
  * Non-maintainer upload.
  * riscv64: fix linking against -latomic

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 May 2023 16:51:38 +0200
