=== debian/rules ===
--- 
+++ 
@@ -116,12 +116,6 @@
   CONFIGURE_PCRE_JIT := --without-pcre-jit
 endif
 
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 ia64 powerpc))
-  CONFIGURE_DTRACE_ARGS := --enable-dtrace
-else
-  CONFIGURE_DTRACE_ARGS := --disable-dtrace
-endif
-
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   CONFIGURE_SYSTEMD := --with-fpm-systemd
   CONFIGURE_APPARMOR := --with-fpm-apparmor
@@ -150,7 +144,7 @@
 endif
 
 ifeq (arm-linux-gnueabihf,$(DEB_HOST_GNU_TYPE))
-  DEB_CFLAGS_MAINT_APPEND += -mfpu=vfpv2
+  DEB_CFLAGS_MAINT_APPEND += -mfpu=vfpv3-d16
 endif
 
 # Enable producing of debugging information
@@ -179,6 +173,7 @@
 		--disable-debug \
 		--disable-rpath \
 		--disable-static \
+		--enable-dtrace \
 		--with-pic \
 		--with-layout=GNU \
 		--without-pear \
@@ -195,7 +190,6 @@
 		--with-zlib=/usr \
 		  --with-zlib-dir=/usr \
 		$(CONFIGURE_ZTS) \
-		$(CONFIGURE_DTRACE_ARGS) \
 		$(CONFIGURE_PCRE_JIT)
 
 # disable all SAPIs in extension build
@@ -237,3 +231,7 @@
 
 export fpm_config = \
 		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
+		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
+		--with-fpm-user=www-data --with-fpm-group=www-data \
+		--with-fpm-acl \
+		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
