## php8.2 8.2.12

=== debian/changelog ===
php8.2 (8.2.12-1ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 18:38:24 +0100

php8.2 (8.2.12-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: fix PHP_EXTRA_VERSION setting. (LP #1989196)
    - Test PHP_EXTRA_VERSION setting with autopkgtest.
    - d/rules: Disable garbage collection routine in ini files.
      (LP #1772915, Closes: #831752)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Oct 2023 08:47:19 +0100

php8.2 (8.2.12-1) unstable; urgency=medium

  * New upstream version 8.2.12

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Oct 2023 19:23:09 +0200

php8.2 (8.2.11-1) unstable; urgency=medium

  * New upstream version 8.2.11

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Oct 2023 11:32:59 +0200
