## php8.2 8.2.20

=== debian/changelog ===
php8.2 (8.2.20-2+0~20240608.57+debian10~1.gbp6b5ea6) unstable; urgency=medium

  ** SNAPSHOT build @6b5ea6330d99f0440692af6bd7685e446b1d9baf **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sat, 08 Jun 2024 23:32:15 +0200

php8.2 (8.2.20-2) unstable; urgency=medium

  * Fix GH-14480: Method visibility issue introduced in version 8.3.8 (#14484)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 08 Jun 2024 23:18:10 +0200

php8.2 (8.2.20-1) unstable; urgency=medium

  * New upstream version 8.2.20
   + [CVE-2024-4577]: Bypass of CVE-2012-1823, Argument Injection in
     PHP-CGI.
   + [CVE-2024-5458]: Filter bypass in filter_var FILTER_VALIDATE_URL.
   + [CVE-2024-5585]: Bypass of CVE-2024-1874.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2024 17:25:11 +0200

php8.2 (8.2.19-2) unstable; urgency=medium

  * Fix the php-config mangling script in configure embeds the options in
    a single quote

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2024 12:29:27 +0200

php8.2 (8.2.19-1) unstable; urgency=medium

  * New upstream version 8.2.19

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2024 20:12:23 +0200

php8.2 (8.2.18-1) unstable; urgency=medium

  * New upstream version 8.2.18

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Apr 2024 22:30:26 +0200

php8.2 (8.2.17-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 8.2.17
  * Remove hardcoded dependency on libmagic1 (Closes: #1065985)
  * Just don't set PHP extra version at all - it makes a little
    sense when we are just updating upstream versions

  [ Andrey Rakhmatullin ]
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066234).

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Mar 2024 09:29:51 +0100

php8.2 (8.2.16-2) unstable; urgency=medium

  * Regenerate d/tests for correct PHP version (Closes: #1064174)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Feb 2024 08:09:07 +0100

php8.2 (8.2.16-1) unstable; urgency=medium

  * New upstream version 8.2.16

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Feb 2024 16:33:12 +0100

php8.2 (8.2.15-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 8.2.15

  [ Athos Ribeiro ]
  * Fix PHP_EXTRA_VERSION setting
  * Test the PHP_EXTRA_VERSION setting
  * Move disabling the upstream GC routine to a patch (Closes: #831752)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Jan 2024 14:05:48 +0100

php8.2 (8.2.14-1) unstable; urgency=medium

  * New upstream version 8.2.14

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Dec 2023 21:08:22 +0100

php8.2 (8.2.13-1) unstable; urgency=medium

  * New upstream version 8.2.13

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 Nov 2023 09:40:22 +0100
