=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php8.2
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -82,8 +81,7 @@
 Package: libapache2-mod-php8.2
 Section: httpd
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -110,8 +108,7 @@
 
 Package: libphp8.2-embed
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -156,8 +153,7 @@
 
 Package: php8.2-cgi
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -185,7 +181,6 @@
 Package: php8.2-cli
 Architecture: any
 Depends: libedit2 (>= 2.11-20080614-4),
-         libmagic1,
          media-types | mime-support,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -235,8 +230,7 @@
 
 Package: php8.2-fpm
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -265,8 +259,7 @@
 
 Package: php8.2-phpdbg
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.2-cli,
          php8.2-common (= ${binary:Version}),
          php8.2-opcache,
@@ -357,3 +350,7 @@
 Built-Using: ${php:Built-Using}
 Replaces: ${php-common:Replaces}
 Breaks: ${php-common:Breaks}
+Conflicts: ${php-common:Conflicts}
+Provides: ${php-common:Provides}
+Recommends: ${php-common:Recommends}
+Description: documentation, examples and common module for PHP
