## php8.2 8.2.24

=== debian/changelog ===
php8.2 (8.2.24-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 8.2.24
   + [CVE-2024-8926]: Bypass of CVE-2024-4577, Parameter Injection
     Vulnerability
   + [CVE-2024-8927]: cgi.force_redirect configuration is bypassable due
     to the environment variable collision
   + [CVE-2024-8927]: Logs from FPM childrens may be altered
   + [CVE-2024-8925]: Erroneous parsing of multipart form data

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2024 06:16:10 +0200

php8.2 (8.2.23-1~deb12u1) bookworm; urgency=medium

  * New upstream version 8.2.23 (Closes: #1080055)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Aug 2024 11:34:15 +0200

php8.2 (8.2.20-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 8.2.20
   + [CVE-2024-4577]: Bypass of CVE-2012-1823, Argument Injection in
     PHP-CGI.
   + [CVE-2024-5458]: Filter bypass in filter_var FILTER_VALIDATE_URL.
   + [CVE-2024-5585]: Bypass of CVE-2024-1874.
  * Fix GH-14480: Method visibility issue introduced in version 8.2.20.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 17 Jun 2024 15:33:14 +0200
