## php8.2 8.2.26

=== debian/changelog ===
php8.2 (8.2.26-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 8.2.26
   + Heap-Use-After-Free in sapi_read_post_data Processing in CLI SAPI Interface.
   + [CVE-2024-8929]: Leak partial content of the heap through heap buffer
     over-read.
   + [CVE-2024-8932]: OOB access in ldap_escape.
   + [CVE-2024-11233]: Single byte overread with
     convert.quoted-printable-decode filter.     
   + [CVE-2024-11234]: Configuring a proxy in a stream context might allow
     for CRLF injection in URIs.
   + [CVE-2024-11236]: Integer overflow in the dblib quoter causing OOB
     writes.
   + [CVE-2024-11236]: Integer overflow in the firebird quoter causing OOB
     writes.
  * Revert "ext/gmp: gmp_pow fix FPE with large values" upstream patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Nov 2024 18:21:51 +0100

php8.2 (8.2.25-1~deb12u1) bookworm-security; urgency=medium

  * New upstream version 8.2.25

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Oct 2024 11:38:36 +0100
