## php8.2 8.2.28

=== debian/changelog ===
php8.2 (8.2.28-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 8.2.28
   - [CVE-2025-1219]: libxml streams use wrong `content-type` header
     when requesting a redirected resource.
   - [CVE-2025-1736]: Stream HTTP wrapper header check might omit
     basic auth header.
   - [CVE-2025-1861]: Stream HTTP wrapper truncate redirect location
     to 1024 bytes.
   - [CVE-2025-1734]: Streams HTTP wrapper does not fail for headers
     without colon.
   - [CVE-2025-1217]: Header parser of `http` stream wrapper does not
     handle folded headers.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 19:21:38 +0100
